

body {
    
    font-family: Courier New, Courier, monospace;
        transition: all .3s cubic-bezier(0.19, 1, 0.22, 1);
    }
    ul, menu, dir {
    display: block;
    list-style-type: disc;
    -webkit-margin-before: 0em; 
    -webkit-margin-after: 1em; 
    -webkit-margin-start: 0px;
    -webkit-margin-end: 0px; 
    -webkit-padding-start: 0px; 
    }
    ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
        color:white;
      }
      ::-moz-placeholder { /* Firefox 19+ */
        color: white;
      }
      :-ms-input-placeholder { /* IE 10+ */
        color: white;
      }
      :-moz-placeholder { /* Firefox 18- */
        color: white;
      }
    section {
        height:100vh;
        width:100vw;
        display:block;
        background: url('https://images.unsplash.com/photo-1442483221814-59f7d8b22739?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=69ca6b65c232ff8c2d5c5dabd9579376&auto=format&fit=crop&w=2550&q=80') no-repeat;
        background-size:cover;
        z-index:1;
        position:relative;
    }
    .todo__wrap {
        padding-top:25vh;
        animation: fadein .5s;
        text-align: center; 
    }
    .overlay {
        position:absolute;
        top:0;
        left:0;
        height:100vh;
        width:100vw;
        background: linear-gradient(-45deg, rgba(82, 238, 142, 0.548), rgba(86, 60, 231, 0.568));
        background-size: 400% 400%;

        
        z-index:-1;
    }
    @keyframes fadein {
        0% {
            opacity:0;
            transition-delay: .5s;
            padding-top:20vh;
           
        }
        100% {
            opacity:1;
            padding-top:25vh;
         
        }
    }
    @keyframes removeItem {
        0% {
            opacity:1;
            
            
           
        }
        100% {
            
            opacity:0;
            visibility: hidden;
            
         
        }
    }
    @keyframes fadeList {
        0% {
            opacity:0;
            transition-delay: .1s;
            margin-top:1vh;
           
        }
        100% {
            opacity:1;
            margin-top:0vh;
         
        }
    }
    @keyframes notif {
        0% {
            margin-top:-2em;
            opacity:0;
        }
        100% {
            margin-top:0;
            opacity:1;

        }
    }
    h1 {font-size: 2vw;color: #ffffff;text-shadow: 0px 1px 56px rgba(0,0,0,.1); text-shadow: 0 1px 2px rgba(0,0,0,.1); font-family: Courier New, Courier, monospace;}
    .notif__bar {
        position: fixed;
        top:0;
        width:100vw;
        text-align:center;
        padding: 1em;
        background:rgb(255, 255, 255);
        box-shadow:0px 0px 60px rgba(0,0,0,.2);
        color:black;
        font-weight:bold;
        font-size:.7em;
        visibility:hidden;
        transition: .2s ease;
    }
    .alert-bar {
        visibility: visible;
        animation: notif .4s;
    }
    .remove-bar {
        animation: notif .4s reverse;
        opacity:0;
    visibility: hidden;
    }
    .list-items span {
        visibility: hidden;
        opacity:0;
        display: block;
        position: absolute;
        transition: .2s ease-in;
        position: absolute;
        top: .8em; 
        right: 0;
        font-size: 14px;
        padding: 0 1em;
        border-radius: 75px;
        cursor: pointer;
        color: white;
    }
    .todo__wrap a {
        color:white;
        font-size:.7vw;
        position: relative;
        transition: all .3s ease;
    }
    .todo__wrap a:after {
        content: '';
        position:absolute;
        top:20px;
        left:0;
        right:0;
        width:100%;
        height:0px;
        background:rgba(0,0,0,.2);
        transition: all .3s ease;

    }
    .todo__wrap a:hover::after {
        content: '';
        position:absolute;
        top:15px;
        left:0;
        right:0;
        width:100%;
        height:1px;
        background:rgba(0,0,0,.2);
        transition: all .3s ease;
    }
    .todo__wrap a:hover {
        text-decoration: none;
        transition: all .3s cubic-bezier(0.075, 0.82, 0.165, 1);
    }
    .todo__wrap p {
        color:white;
        font-family: Courier New, Courier, monospace;
        line-height: 0;
        text-shadow: 0 1px 2px rgba(0,0,0,.1);
    }
    .list-items .lb-box-item:hover span {
      opacity:1;
        visibility: visible;
    }
    .list-items {
        width:30vw;
        margin: 0 auto;
    
    }
    .remove-list {
        animation: removeItem 1s !important;
        opacity:0;
        visibility:hidden;
      
    }
    .lb-box-item {
        position: relative;
    }
    .list-items input {
        list-style: none;
        padding: .9em 1em;
        margin: .5em 0;
        background: transparent;
        position: relative;
        /* box-shadow: 0px 3px 45px rgba(0,0,0,.06); */
        border-radius: 3px;
        color: white;
        border-bottom: 1px solid rgba(255,255,255,.1);
        text-align: left;
        cursor: default;
        border:0;
        font-family: Courier New, Courier, monospace;
        font-size:.8vw;
    }
    .lb-box-item:last-child input {
        border-bottom: 0;
    }
    .list-item-object {
        margin-top:1vh;
        animation: fadeList 1s cubic-bezier(0.19, 1, 0.22, 1);
    }
    [type=reset], [type=submit], button, html [type=button] {
    -webkit-appearance: none;
    background: dodgerblue;
    outline: none;
    border: 0;
    border-radius: 3px;
    padding: 1vw 3vw;
    color: lightblue;
    box-shadow: 0px 3px 35px rgba(0,0,0,.1);
    transition: .2s ease;
    margin: 1vw 0;
    }
    button:hover {
    color:white;
    transition:.2s ease;
    }
    input[type="text"]{
        display: block;
        margin: .6em auto;
        padding: 1vw;
        /* border-radius: 3px; */
        outline: 0;
        width: 30vw;
        color:white;
        border-bottom: 1px solid rgba(255,255,255,.1);
    }
    .list-items input[type="text"]:hover{
        cursor:pointer;
    
    }
    .list-items input[type="text"]:focus{
            cursor: text;
            background: #ffffff;
            box-shadow:  0px 2px 35px rgba(0,0,0,.1);
            border-color:  transparent;
            color:black;
            transition: .3s cubic-bezier(0.075, 0.82, 0.165, 1);
        }
        .list-items .lb-box-item:focus span{
            color:black !important; font-size:25px;
        }
        .item-box {
            background: rgba(0,0,0,.12);
            border:0 !important;
            color:white !important;
            border-radius: 3px;
            margin: 3em auto !important;
        }
    
    
    
        /*Gradient animation*/
        @-webkit-keyframes Gradient {
            0% {
                background-position: 0% 50%
            }
            50% {
                background-position: 100% 50%
            }
            100% {
                background-position: 0% 50%
            }
        }
        
        @-moz-keyframes Gradient {
            0% {
                background-position: 0% 50%
            }
            50% {
                background-position: 100% 50%
            }
            100% {
                background-position: 0% 50%
            }
        }
        
        @keyframes Gradient {
            0% {
                background-position: 0% 50%
            }
            50% {
                background-position: 100% 50%
            }
            100% {
                background-position: 0% 50%
            }
        }